Subject: Re: bug#15283: on guix 0.3 package -e '(@ …)'has to be run twice to install a new package (not build yet)

From: [email-masked] (Ludovic Courtès)
Date: Wed, 30 Oct 2013 22:18:05 +0100

Arne Babenhauserheide <[email-masked]> skribis:

> To test the bug, save this file as mercurial.scm: http://bpaste.net/raw/129793/
>
> Now run
>  
>     GUILE_LOAD_PATH=. guix package -e '(@ (mercurial) hg)'
>
>
> On the first run I got the following backtrace: 
>
> @ build-succeeded /nix/store/9rajwkq02sk4nq7cvrxilbsvxrywh2zs-mercurial-2.7.1.drv -

[...]

>  866: 3 [process-actions (# # # #)]
> In guix/store.scm:
>  483: 2 [build-derivations # #]
>  334: 1 [process-stderr #]
> In guix/serialization.scm:
>   49: 0 [read-int #<input-output: socket 9>]
>
> guix/serialization.scm:49:4: In procedure read-int:
> guix/serialization.scm:49:4: In procedure bv-u32-ref: Wrong type argument in position 1 (expecting bytevector): #<eof>
>
> The second run succeeds.

I believe this is fixed with commit 1fcc3ba.

I’m closing the bug, but of course do reopen it if you encounter this
issue again.

Thanks!

Ludo’.